Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031577
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] C. Securitymajorhave not tried2015-11-25 13:262015-12-02 20:07
ReporteralostaleView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision83f6116ba55b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031577: alert fetches with where parameter

DescriptionAlert window shouldn't fetch data using where parameter.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00315783.0PR15Q4.1 closedcaristu alert fetches with where parameter 
depends on backport 00315793.0PR15Q3.4 closedcaristu alert fetches with where parameter 
related to defect 0031634 closedcaristu Is not possible to use the refresh button in the Alert Management window more than once 

-  Notes
(0082495)
hgbot (developer)
2015-12-01 18:29

Repository: erp/devel/pi
Changeset: 83f6116ba55b506649fecc0d2f42e775f6728472
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Dec 01 18:27:51 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/83f6116ba55b506649fecc0d2f42e775f6728472 [^]

fixes issue 31577: alert fetches with where parameter

In order to avoid the fetching of the where parameter we generate the where clause inside the datasource. A new datasource has been created, ADAlertDatasourceService, to support the requests from the Alert Management window.

In addition, it has been fixed a problem in the Alert Rule drop-down filter of the grids in the Alert Management window which was displaying alert rules from all the grids in the window instead of those displayed just on a particular grid.

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/OBSERDS_DATASOURCE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/AlertManagementActionHandler.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/alert-management/ob-alert-management-view.js
A modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
---
(0082512)
hudsonbot (developer)
2015-12-02 00:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a52bb700bbaf [^]
Maturity status: Test
(0082520)
hgbot (developer)
2015-12-02 10:36

Repository: erp/devel/pi
Changeset: 9b3efdffbb5f9667b8fde442df7893561ddc635f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Dec 02 10:33:15 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9b3efdffbb5f9667b8fde442df7893561ddc635f [^]

related to issue 31577: code review improvements

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ADAlertDatasourceService.java
---
(0082525)
alostale (developer)
2015-12-02 11:27

code reviewed

tested:
* _where is not sent to DS
* limited role without any other access than alert management can:
  - see alerts
  - move to different status
(0082554)
hudsonbot (developer)
2015-12-02 20:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae274ef69cf6 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-11-25 13:26 alostale New Issue
2015-11-25 13:26 alostale Assigned To => platform
2015-11-25 13:26 alostale Modules => Core
2015-11-25 13:26 alostale Triggers an Emergency Pack => No
2015-11-25 13:27 alostale Status new => scheduled
2015-11-25 13:27 alostale Assigned To platform => caristu
2015-12-01 18:29 hgbot Checkin
2015-12-01 18:29 hgbot Note Added: 0082495
2015-12-01 18:29 hgbot Status scheduled => resolved
2015-12-01 18:29 hgbot Resolution open => fixed
2015-12-01 18:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/83f6116ba55b506649fecc0d2f42e775f6728472 [^]
2015-12-01 18:31 caristu Review Assigned To => alostale
2015-12-01 18:31 caristu Issue Monitored: alostale
2015-12-01 18:52 caristu Relationship added related to 0031634
2015-12-02 00:10 hudsonbot Checkin
2015-12-02 00:10 hudsonbot Note Added: 0082512
2015-12-02 10:36 hgbot Checkin
2015-12-02 10:36 hgbot Note Added: 0082520
2015-12-02 11:27 alostale Note Added: 0082525
2015-12-02 11:27 alostale Status resolved => closed
2015-12-02 11:27 alostale Fixed in Version => 3.0PR16Q1
2015-12-02 20:07 hudsonbot Checkin
2015-12-02 20:07 hudsonbot Note Added: 0082554


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker